<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf">
	<html>
	<body>
<div id="Menu">
		<ui:include src="HomeHRManager.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		 	<div class="col-md-8">	

			<div class="widget">
							<div class="widget-header transparent">
								<h2>List of <strong>Trainings</strong></h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i class="icon-down-open-2"></i></a>
									<a href="#" class="widget-close"><i class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class="widget-content">
								<div class="static-table-scroll">
									<div class="table-responsive">
									<h:form>
									<div class="col-sm-4">
     							 					<h:selectOneMenu value="#{trainingBean.title}" class="form-control"
     							 						rendered="#{not trainingBean.showForm}"> 
														<f:selectItem itemLabel="please select" />
														<f:selectItems value="#{trainingBean.titles}" var="c"
   															itemLabel="#{c}" itemValue="#{c}" />
   													</h:selectOneMenu>
									</div>
									<div class="col-sm-4">
										<h:commandLink id="btnSearch"
														title="Search"
    													styleClass="btn btn-warning" 
    													action="#{trainingBean.rechercheByTitle()}"
    													rendered="#{not trainingBean.showForm}">
    													<i class="fa fa-search"></i>
									    </h:commandLink>
									    <h:commandLink id="btnRetablir"
														title="Retablir"
    													styleClass="btn btn-default" 
    													action="#{trainingBean.retablir()}"
    													rendered="#{not trainingBean.showForm}">
    													<i class="fa fa-close"></i>
									    </h:commandLink>
									</div>
									<div class="col-lg-4">
										<h:commandLink id="btnAdd"
											title="Add"
    										action="addTraining.xhtml?faces-redirect=true" 
    										styleClass="btn btn-info" 
    										rendered="#{not trainingBean.showForm}">
    										<i class="fa fa-plus-circle"></i> Add A new Training
										</h:commandLink>
										<br></br>
									<br></br>
									</div>
										<h:dataTable class="table table-hover" value="#{trainingBean.trainings}" var="e" 
													rendered="#{not trainingBean.showForm}">
											
												<h:column id="c1">
														<f:facet name="header">
															<h:outputText value="Title" />
														</f:facet>
														<h:outputText value="#{e.title}" />
												</h:column>
				
												<h:column id="c2">
														<f:facet name="header">
															<h:outputText value="Date" />
														</f:facet>
														<h:outputText value="#{e.date}" />
												</h:column>
				
												<h:column id="c3">
														<f:facet name="header">
															<h:outputText value="Description" />
														</f:facet>
														<h:outputText value="#{e.description}" />
												 </h:column>
				
												  <h:column id="c4">
																<f:facet name="header">
																	<h:outputText value="Edit" />
																</f:facet>
																<div class="btn-group btn-group-xs">
					
																 <h:commandButton action="#{trainingBean.doSelect()}" value="Select"
																 styleClass="btn btn-success">
																	<f:setPropertyActionListener value="#{e}"
																	target="#{trainingBean.training}"></f:setPropertyActionListener>
																	</h:commandButton>
															</div>
													</h:column>
										</h:dataTable>
										<div class="col-sm-1"></div>
									<div class="col-sm-8">
									
										<h:panelGrid  
										columns = "2" 
            						    
             							width="120%"
             							rendered="#{trainingBean.showForm}">
             							
										<label style="padding:20px">Title</label>
										<h:inputText 
										style="padding:20px" 
										value="#{trainingBean.training.title}"  
										class="form-control"
										id="validateTitle" 
										required="true"
										requiredMessage="Title field is required !"/>
										<div class="col-sm-3"></div>
										<h:message 
									  		 for="validateTitle"
									  		 class="col-sm-7 label label-warning" />
										
									  
										<label style="padding:20px">Date</label>
											<input  style="padding:20px"
													type="date"
     							 					class="form-control" 
     							 					jsf:value="#{trainingBean.training.date}" >
     							 					<f:convertDateTime type="date" pattern="yyyy-MM-dd" />
     							 			</input>
     							 			
									  
										<label style="padding:20px">Description</label>
										<h:inputTextarea style="padding:20px"
										class="form-control" 
										value="#{trainingBean.training.description}" 
										cols="20" rows="3"
										id="validateDescription" 
										required="true"
										requiredMessage="Description field is required !"/>
										<div class="col-sm-3"></div>
										<h:message 
									  		 for="validateDescription"
									  		 class="col-sm-7 label label-warning" />
										
				<br></br>
				<br></br>
				<br></br>
				
				<f:facet name="footer" >
				 <h:panelGroup style = "display:block; text-align:center;">
					<h:commandLink 
						title="Update"
						action="trainingManagement.xhtml?faces-redirect=true"
						styleClass="btn btn-primary" >
    					<i class="fa fa-refresh"></i> Update
							<f:actionListener binding="#{trainingBean.doAddTraining()}"/>
						</h:commandLink>
						
						<h:commandLink
						title="Delete"
						action="#{trainingBean.doDeleteTraining()}" 
						styleClass="btn btn-danger" >
    					<i class="fa fa-trash-o"></i> Delete
						</h:commandLink>
						
						<h:commandLink 
						title="Cancel"
						action="#{trainingBean.doCancel()}" 
						styleClass="btn btn-success" >
    					<i class="fa fa-close"></i> Cancel
						</h:commandLink>
						 </h:panelGroup>
				</f:facet>
			</h:panelGrid>
			</div>
										</h:form>
									</div>
								</div>
							</div>
						</div>
		  	</div>
		  </div>
		</div>
		<ui:include src="Footer.xhtml" />
		</body>
		</html>
</ui:composition>